LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 12-27-2016, 09:30 PM   #1
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 324

Rep: Reputation: Disabled
xscreensaver:


I've installed xscreensaver because I like seeing old pictures we've taken over the years. Whenever I try to run xscreensaver (or in this case, -demo) I get these messages in my terminal:

Code:
glschool: root window's visual 0x20 does not support the GLX extension.
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
Xlib:  extension "GLX" missing on display ":0".
How do I get my screensaver back?
 
Old 12-27-2016, 11:13 PM   #2
montagdude
Senior Member
 
Registered: Apr 2016
Distribution: Slackware
Posts: 1,489

Rep: Reputation: 1110Reputation: 1110Reputation: 1110Reputation: 1110Reputation: 1110Reputation: 1110Reputation: 1110Reputation: 1110Reputation: 1110
Are you trying to run xscreensaver-demo as root? If so, why?
 
Old 05-12-2017, 05:37 PM   #3
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 324

Original Poster
Rep: Reputation: Disabled
Code:
michael@caitlyn ~ $ xscreensaver-demo

(xscreensaver-demo:16938): libglade-WARNING **: Could not load support for `gnome': libgnome.so: cannot open shared object file: No such file or directory
glslideshow: display ":0.0" does not support the GLX extension.
michael@caitlyn ~ $
 
Old 05-12-2017, 06:09 PM   #4
coralfang
Member
 
Registered: Nov 2010
Location: Bristol, UK
Distribution: Slackware, FreeBSD
Posts: 748
Blog Entries: 3

Rep: Reputation: 233Reputation: 233Reputation: 233
What does this tell you:
Code:
$ glxinfo
Have you installed any needed graphics drivers?
 
Old 05-12-2017, 07:00 PM   #5
kingbeowulf
Member
 
Registered: Oct 2003
Location: WA
Distribution: Slackware64 14.2 Slackware 14.2, Slackware{32,64}-current
Posts: 891
Blog Entries: 9

Rep: Reputation: 363Reputation: 363Reputation: 363Reputation: 363
maschelsea,
libglade-WARNING ** is "normal" but you will need to install X.org, Mesa and a GPU driver (open source or proprietary).
 
Old 05-13-2017, 09:30 AM   #6
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 324

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by coralfang View Post
What does this tell you:
Code:
$ glxinfo
Have you installed any needed graphics drivers?
Code:
michael@caitlyn ~ $ glxinfo
name of display: :0.0
Error: couldn't find RGB GLX visual or fbconfig
 
Old 05-13-2017, 09:38 AM   #7
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 324

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by kingbeowulf View Post
maschelsea,
libglade-WARNING ** is "normal" but you will need to install X.org, Mesa and a GPU driver (open source or proprietary).
I have glade:
Code:
root@caitlyn:/usr/src/linux# slackpkg search glade

Looking for glade in package list. Please wait... DONE

The list below shows all packages with name matching "glade".

[ installed ] - glade3-3.8.5-x86_64-2
[ installed ] - libglade-2.6.4-x86_64-5

You can search specific files using "slackpkg file-search file".
As for X, I am typing this message in seamonkey, in xfce4, in running X. I do upgrades every Sunday, and almost every Sunday, I see an upgrade for mesa being installed. I will install it again just in case. My screensaver worked yesterday. Funny things happen when I reboot my computers, which is why I try to hardly ever reboot them.

Here's what I found for mesa:

Code:
root@caitlyn:/usr/src/linux# slackpkg search mesa

Looking for mesa in package list. Please wait... DONE

The list below shows all packages with name matching "mesa".

[ installed ] - mesa-17.0.5-x86_64-1

You can search specific files using "slackpkg file-search file".
And when I tried to reinstall it:

Code:
root@caitlyn:/usr/src/linux# slackpkg reinstall mesa

Looking for mesa in package list. Please wait... DONE


 slackpkg 2.82.1
 ───────────────────────────────────────────────────────────────────────────────────────────────────





              ┌────────────────────────────reinstall───────────────────────────────┐
              │ Choose packages to reinstall:                                      │  
              │ ┌────────────────────────────────────────────────────────────────┐ │  
              │ │[*] mesa-17.0.5-x86_64-1.txz                   │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              ├─└────────────────────────────────────────────────────────────────┘─┤  
              │                   <  OK  >          <Cancel>                       │  
              └────────────────────────────────────────────────────────────────────┘  








Package: mesa-17.0.5-x86_64-1.txz
			Downloading ftp://mirrors.easynews.com/linux/slackware/slackware64-current/./slackware64/x/mesa-17.0.5-x86_64-1.txz...
--2017-05-13 09:37:42--  ftp://mirrors.easynews.com/linux/slackware/slackware64-current/slackware64/x/mesa-17.0.5-x86_64-1.txz
           => /var/cache/packages/./slackware64/x/mesa-17.0.5-x86_64-1.txz
Resolving mirrors.easynews.com... 69.16.168.244
Connecting to mirrors.easynews.com|69.16.168.244|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /linux/slackware/slackware64-current/slackware64/x ... done.
==> SIZE mesa-17.0.5-x86_64-1.txz ... done.

==> PASV ... done.    ==> RETR mesa-17.0.5-x86_64-1.txz ... 
No such file mesa-17.0.5-x86_64-1.txz.

			Downloading ftp://mirrors.easynews.com/linux/slackware/slackware64-current/./slackware64/x/mesa-17.0.5-x86_64-1.txz.asc...
--2017-05-13 09:37:42--  ftp://mirrors.easynews.com/linux/slackware/slackware64-current/slackware64/x/mesa-17.0.5-x86_64-1.txz.asc
           => /var/cache/packages/./slackware64/x/mesa-17.0.5-x86_64-1.txz.asc
Resolving mirrors.easynews.com... 69.16.168.244
Connecting to mirrors.easynews.com|69.16.168.244|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /linux/slackware/slackware64-current/slackware64/x ... done.
==> SIZE mesa-17.0.5-x86_64-1.txz.asc ... done.

==> PASV ... done.    ==> RETR mesa-17.0.5-x86_64-1.txz.asc ... 
No such file mesa-17.0.5-x86_64-1.txz.asc.

	ERROR - Package not installed! md5sum error!

Package: mesa-17.0.5-x86_64-1.txz
			Downloading ftp://mirrors.easynews.com/linux/slackware/slackware64-current/./slackware64/x/mesa-17.0.5-x86_64-1.txz...
--2017-05-13 09:37:43--  ftp://mirrors.easynews.com/linux/slackware/slackware64-current/slackware64/x/mesa-17.0.5-x86_64-1.txz
           => /var/cache/packages/./slackware64/x/mesa-17.0.5-x86_64-1.txz
Resolving mirrors.easynews.com... 69.16.168.244
Connecting to mirrors.easynews.com|69.16.168.244|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /linux/slackware/slackware64-current/slackware64/x ... done.
==> SIZE mesa-17.0.5-x86_64-1.txz ... done.

==> PASV ... done.    ==> RETR mesa-17.0.5-x86_64-1.txz ... 
No such file mesa-17.0.5-x86_64-1.txz.

			Downloading ftp://mirrors.easynews.com/linux/slackware/slackware64-current/./slackware64/x/mesa-17.0.5-x86_64-1.txz.asc...
--2017-05-13 09:37:44--  ftp://mirrors.easynews.com/linux/slackware/slackware64-current/slackware64/x/mesa-17.0.5-x86_64-1.txz.asc
           => /var/cache/packages/./slackware64/x/mesa-17.0.5-x86_64-1.txz.asc
Resolving mirrors.easynews.com... 69.16.168.244
Connecting to mirrors.easynews.com|69.16.168.244|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /linux/slackware/slackware64-current/slackware64/x ... done.
==> SIZE mesa-17.0.5-x86_64-1.txz.asc ... done.

==> PASV ... done.    ==> RETR mesa-17.0.5-x86_64-1.txz.asc ... 
No such file mesa-17.0.5-x86_64-1.txz.asc.

	ERROR - Package not installed! md5sum error!

Searching for NEW configuration files
		No .new files found.
         

==============================================================================
WARNING!        WARNING!        WARNING!        WARNING!        WARNING!
==============================================================================
One or more errors occurred while slackpkg was running:                       

mesa-17.0.5-x86_64-1.txz:	md5sum
mesa-17.0.5-x86_64-1.txz:	md5sum

==============================================================================

root@caitlyn:/usr/src/linux#

And I'm not sure what you mean by 'GPU driver'...
 
Old 05-13-2017, 12:12 PM   #8
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 6,012

Rep: Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684
You need to run slackpkg update. Mesa was updated to 17.11.0 on 10 May, so the mirror doesn't have the older version.

As for GPU driver, what video card do you have on your system? Did you install anything special for it or just using what comes with Slackware? Based on your glxinfo output, your graphics are not working properly on your system. This is the reason you couldn't run the screensaver demo. Once the glx issues are resolved, it will likely run fine.

Can you post the output of lspci -k | grep -iA3 vga and the contents of you /var/log/Xorg.0.log?
 
Old 05-13-2017, 05:57 PM   #9
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 324

Original Poster
Rep: Reputation: Disabled
Code:
root@caitlyn:~# lspci -k | grep -iA3 vga 
01:00.0 VGA compatible controller: NVIDIA Corporation GT218 [GeForce 210] (rev a2)
	Subsystem: eVga.com. Corp. GT218 [GeForce 210]
	Kernel driver in use: nouveau
	Kernel modules: nvidiafb, nouveau
01:00.1 Audio device: NVIDIA Corporation High Definition Audio Controller (rev a1)
	Subsystem: eVga.com. Corp. High Definition Audio Controller
	Kernel driver in use: snd_hda_intel
	Kernel modules: snd_hda_intel
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 0c)
root@caitlyn:~# 

root@caitlyn:~# cat /var/log/Xorg.0.log | grep EE
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    41.401] (EE) Failed to load module "fbdev" (module does not exist, 0)
[    42.012] (EE) AIGLX error: dlopen of /usr/lib64/xorg/modules/dri/nouveau_dri.so failed (libedit.so.0: cannot open shared object file: No such file or directory)
[    42.013] (EE) AIGLX: reverting to software rendering
[    42.013] (EE) AIGLX error: dlopen of /usr/lib64/xorg/modules/dri/swrast_dri.so failed (libedit.so.0: cannot open shared object file: No such file or directory)
[    42.013] (EE) GLX: could not load software renderer

I am using a different card than I started with. I had it installed yesterday. It is a Geforce 210 card. What driver do I need for that?
 
Old 05-13-2017, 06:20 PM   #10
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 6,012

Rep: Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684
The nouveau driver that is in use should be fine. But your Xorg.0.log shows that you're missing libedit.so.0, which is part of the l/libedit package. Did you do a partial installation? That is certainly related to your GLX issues. Once that is installed, it might completely fix it or there might be additional issues that will need to be diagnosed. If you did a partial installation, there could be other important packages you're missing.

Try installing libedit and then rerun glxinfo. Hopefully it should dump out several pages worth of text to the console; however, we're interested in the "direct rendering" line near the top. Hopefully it will say direct rendering: Yes. If it does, then hopefully xscreensaver-demo will work properly.
 
Old 05-13-2017, 08:05 PM   #11
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 324

Original Poster
Rep: Reputation: Disabled
Code:
root@caitlyn:~# slackpkg install libedit

Looking for libedit in package list. Please wait... DONE


 slackpkg 2.82.1
 ───────────────────────────────────────────────────────────────────────────────────────────────────





              ┌─────────────────────────────install────────────────────────────────┐
              │ Choose packages to install:                                        │  
              │ ┌────────────────────────────────────────────────────────────────┐ │  
              │ │[*] libedit-20160903_3.1-x86_64-1.txz               │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              │ │                                                                │ │  
              ├─└────────────────────────────────────────────────────────────────┘─┤  
              │                   <  OK  >          <Cancel>                       │  
              └────────────────────────────────────────────────────────────────────┘  








Package: libedit-20160903_3.1-x86_64-1.txz
			Downloading ftp://mirrors.easynews.com/linux/slackware/slackware64-current/./slackware64/l/libedit-20160903_3.1-x86_64-1.txz...
--2017-05-13 20:06:46--  ftp://mirrors.easynews.com/linux/slackware/slackware64-current/slackware64/l/libedit-20160903_3.1-x86_64-1.txz
           => ‘/var/cache/packages/./slackware64/l/libedit-20160903_3.1-x86_64-1.txz’
Resolving mirrors.easynews.com... 69.16.168.244
Connecting to mirrors.easynews.com|69.16.168.244|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /linux/slackware/slackware64-current/slackware64/l ... done.
==> SIZE libedit-20160903_3.1-x86_64-1.txz ... 99840
==> PASV ... done.    ==> RETR libedit-20160903_3.1-x86_64-1.txz ... done.
Length: 99840 (98K) (unauthoritative)

libedit-20160903_3.1-x86_ 100%[==================================>]  97.50K   595KB/s    in 0.2s    

2017-05-13 20:06:47 (595 KB/s) - ‘/var/cache/packages/./slackware64/l/libedit-20160903_3.1-x86_64-1.txz’ saved [99840]

			Downloading ftp://mirrors.easynews.com/linux/slackware/slackware64-current/./slackware64/l/libedit-20160903_3.1-x86_64-1.txz.asc...
--2017-05-13 20:06:47--  ftp://mirrors.easynews.com/linux/slackware/slackware64-current/slackware64/l/libedit-20160903_3.1-x86_64-1.txz.asc
           => ‘/var/cache/packages/./slackware64/l/libedit-20160903_3.1-x86_64-1.txz.asc’
Resolving mirrors.easynews.com... 69.16.168.244
Connecting to mirrors.easynews.com|69.16.168.244|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /linux/slackware/slackware64-current/slackware64/l ... done.
==> SIZE libedit-20160903_3.1-x86_64-1.txz.asc ... 163
==> PASV ... done.    ==> RETR libedit-20160903_3.1-x86_64-1.txz.asc ... done.
Length: 163 (unauthoritative)

libedit-20160903_3.1-x86_ 100%[==================================>]     163  --.-KB/s    in 0.01s   

2017-05-13 20:06:48 (16.1 KB/s) - ‘/var/cache/packages/./slackware64/l/libedit-20160903_3.1-x86_64-1.txz.asc’ saved [163]

	Package libedit-20160903_3.1-x86_64-1.txz is already in cache - not downloading
	Installing libedit-20160903_3.1-x86_64-1...
Verifying package libedit-20160903_3.1-x86_64-1.txz.
Installing package libedit-20160903_3.1-x86_64-1.txz:
PACKAGE DESCRIPTION:
# libedit (Command line editor library)
#
# This is an autotool and libtoolized port of the NetBSD Editline
# library (libedit).  This Berkeley-style licensed command line editor
# library provides generic line editing, history, and tokenization
# functions, similar to those found in GNU Readline.
#
# Homepage: http://www.thrysoee.dk/editline/
#
Executing install script for libedit-20160903_3.1-x86_64-1.txz.
Package libedit-20160903_3.1-x86_64-1.txz installed.


Searching for NEW configuration files
		No .new files found.

root@caitlyn:~# 
michael@caitlyn ~ $ glxinfo
name of display: :0.0
Error: couldn't find RGB GLX visual or fbconfig

michael@caitlyn ~ $
 
Old 05-13-2017, 08:14 PM   #12
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 324

Original Poster
Rep: Reputation: Disabled
I logged out, rebooted X with a Control+Alt+Backspace, and logged back in, and now it works. Thank you for your help.
 
Old 05-13-2017, 10:11 PM   #13
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 6,012

Rep: Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684Reputation: 3684
No problem. I should've mentioned that you'd need to reload X for the changes to take effect. Glad you got it figured out
 
Old 05-13-2017, 10:24 PM   #14
maschelsea
Member
 
Registered: Dec 2016
Distribution: Slackware 64bit 14.2
Posts: 324

Original Poster
Rep: Reputation: Disabled
I should have thought of it as part of the solution.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
xscreensaver longhair_ad Linux - Newbie 1 01-10-2007 10:23 PM
How to use xscreensaver royeo Linux - General 2 12-01-2006 10:47 AM
xscreensaver installed, but no xscreensaver-demo command? dalesan Linux - Software 7 09-01-2004 01:06 PM
xscreensaver bigjohn Linux - Newbie 2 10-20-2003 06:58 AM
xscreensaver jonfa Linux - General 0 05-19-2003 09:20 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 08:16 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration